Bug 1389810 - Compute Resource password field reverts to "old" password after pressing Test Connection
Summary: Compute Resource password field reverts to "old" password after pressing Test...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources
Version: 6.2.2
Hardware: x86_64
OS: Linux
medium
low vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-28 18:05 UTC by Rick Dixon
Modified: 2022-03-13 14:08 UTC (History)
11 users (show)

Fixed In Version: foreman-1.18.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:19:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 13497 0 Normal Closed InvalidLogin: Cannot complete login due to an incorrect user" when trying to provision a new host 2020-10-28 10:55:26 UTC
Foreman Issue Tracker 24545 0 Normal Closed Compute resource test connection enables password field 2020-10-28 10:55:27 UTC
Red Hat Knowledge Base (Solution) 3410521 0 None None None 2018-04-12 21:35:16 UTC

Description Rick Dixon 2016-10-28 18:05:15 UTC
Description of problem:

New password entered into the password field of Compute Reource does not save when then executing any action other than Submit (such as Test Connection).


How reproducible:

Always, in customer environment.


Steps to reproduce:

In the webUI, navigate to Infrastructure > Compute Resource > select an existing resource for which you want to change the login credentials.

If you enter the new username and password and hit ***anything but Submit***, that command works, but when the screen is refreshed the old password is defaulted, then when you try anything else, the old password is used and the new operation fails.

If you enter the new username and password and immediately hit hit Submit, You can then go back and edit again and "load datacenters", "test connection" or whatever.

The new username and password are remembered for that single operation. If that operation is Submit, then the password is saved and will be used for future operations.

I would think that the username and password should be remembered until you Cancel, Submit, or leave the page.

Comment 1 Ondřej Pražák 2016-11-04 10:02:34 UTC
Created redmine issue http://projects.theforeman.org/issues/17218 from this bug

Comment 2 Ondřej Pražák 2016-11-09 07:56:10 UTC
Connecting redmine issue http://projects.theforeman.org/issues/13497 from this bug

Comment 7 Satellite Program 2017-09-13 12:17:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/13497 has been resolved.

Comment 11 Marek Hulan 2018-01-02 17:29:13 UTC
Ales, what CR type have you tested?

Comment 13 Satellite Program 2018-01-10 13:24:26 UTC
Upstream bug assigned to tbrisker

Comment 14 Satellite Program 2018-01-10 13:24:34 UTC
Upstream bug assigned to tbrisker

Comment 19 Marek Hulan 2018-08-06 14:10:54 UTC
I was able to reproduce in upstream, the fix didn't take this flow into consideration. Separate fix will be needed.

Comment 23 Bryan Kearney 2018-10-16 19:19:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.